Subject: RE: [lojban] Comments on the New Policy

From: "And Rosta" <[email-masked]>
Date: Sun, 1 Dec 2002 23:39:08 -0000

Lojbab:
> At 12:42 AM 11/30/02 +0000, And Rosta wrote:
> >I support the great majority of Nick's views and the new
> >policy document. Below are the points where I disagree to
> >a lesser or greater extent
> >
> >A. Experimental cmavo
> >1. The shape of a cmavo should not determine whether it is
> >officially documented. If a sufficient number of people agree
> >that there should be a cmavo with meaning M, and if there are
> >no available CVV cmavo for M, then N should be assigned to a
> >CVVV cmavo and documented
>
> I think we should use the CVV and then the xVV (the reason for reserving
> xVV seems to be moot given the wide use of CVVV for experimental cmavo
> these days) before we start assigning words from CVVV

I don't, and I could list my arguments, but it's pointless to
debate it at this stage.

> >2. Many debates about the meaning of a cmavo, C1, come down to
> >whether the cmavo should have meaning M1 or M2, where both M1
> >and M2 are legitmate, reasonable, desirable, etc. The easiest
> >way to settle these debates is to pick one meaning (M1) for
> >C1 and assign the other meaning (M2) to a spare cmavo, C2
> >(which of necessity must be a CVVV) cmavo
>
> It need not necessarily be CVVV. There are a dozen or more free CVVs and
> almost 30 xVVs available
>
> >If the current
> >notion that CVV cmavo are official and CVVV are unofficial
> >continues, then the debate will not be solved so easily, since
> >any text using C2 will fail to parse, and many Lojbanists will
> >dismiss it as nonstandard or experimental Lojban
>
> Many Lojbanists will indeed dismiss experimental Lojban. Others will use
> it. Whether experimental cmavo will parse depends on the sophistication of
> the parser. I suspect it would not be hard to have a parser which queries
> the user for the selma'o of an experimental word, which means that the only
> problems would be experimental cmavo that do not fit any standard selma'o

I agree. So because official and experimental cmavo are not treated alike,
assigning M2 to a CVVV/xVV cmavo will solve the debate only if that
cmavo is made official.

> >The solution is to make both C1 and C2 official and documented
>
> Believe it or not, I agree with you entirely and proposed the identical
> solution, which is allowed for in the Board's policy

This is welcome news.

> >3. The baseline should accept that future study and usage of
> >Lojban will reveal the need not only for additional fu'ivla but
> >also for additional cmavo (and perhaps even additional gismu and
> >rafsi, as witness the problematic absence of a gismu for "intend")
> >The baseline should assign existing cmavo a clear definite meaning,
> >but should not be taken as permanently defining what is and isn't
> >a standard official cmavo
>
> Then there is no freeze in the language design, and some people have
> indicated that they will refuse to learn a language that is not frozen.

Their loss. A freeze was announced over 5 years ago and these people
have no emerged as dynamic members of the community. If they had, they
would be in a position to contribute to a consensus and make sure that
a policy of "no change without consensus" maintained the current
conservatism that predominates in the community.

> It
> is true that simple additions are the easiest form of change for a learner
> to accommodate, but any set of words that is expandible is not frozen (and
> if the changes are not strictly managed, then the list is not even baselined)
>
> If the language design is so incomplete that we cannot go for even 5 years
> without adding fundamental structure words to the language, then we have to
> admit that the language design is just that: incomplete. After all, how
> many structure words have been added to English in the last *50* years?

Since I have always maintained that the language design is incomplete,
I can't argue with this.

IMO if we insist on not adding cmavo, or on not making any changes even
when there is a general demand for them, especially from the ablest,
then Lojban is not serving the needs of its se bangu.

> >4. If the only objection to the above is that it should be possible
> >to tell from a cmavo's shape whether it is experimental or official,
> >then a portion of CVVV cmavo space should be defined as official
> >(but not necessarily used) and the rest as experimental, just as
> >is currently done with CVV space
>
> If that were made necessary by the lack of sufficient CVV space, the byfy
> has the power to do so - that would be a "fix" to some specific problem - a
> lack of cmavo space to resolve a definition question. But I don't think
> there are enough cmavo in question (I hope there aren't) that this would be
> needed
>
> In the long-term, after the 5 years, what you say will be necessary. Usage
> will determine that certain experimental cmavo should be retained because
> of their usage, and if that is the case, then the usage itself will mandate
> that we keep the CVVV that exemplified that usage

At this stage, there will be little need for a portion of cmavo space
to be marked as experimental.

> >B. Zipfeanism & Lojban's serving its speakers
> >1. The design of Lojban is such that, quite unnecessarily, it is
> >difficult to be both concise and logically precise. John has often
> >said "The price of infinite precision is infinite verbosity", but
> >this does not apply to logical precision, since it is finite. It
> >would have been quite possible to design Lojban so that it was more
> >concise, but concision was never a design goal
>
> Zipfean concision was indeed a design parameter, since JCB talked of it
> extensively (and that was my standard for identifying design parameters)

I can't cite chapter and verse, but I believe you have often said that
concision in general wasn't a goal of Lojban. I recognize that Zipfean
concision was a goal, and it is a goal that Lojban has conspicuously
failed to achieve, though of course only with hindsight is it
apparent where the mistake was made.

> >However, most Lojban
> >users care a great deal about concision and it is a major factor
> >influencing their usage. "Saving syllables" is important to most
> >Lojbanists. At the moment there are very few Lojbanists who care
> >about Lojban being precise, but I predict that as more Lojbanists
> >become comfortable with elementary logic, more Lojbanists will yearn
> >for a Lojban that is both precise and concise
>
> Perhaps. I yearn for a Lojban that isn't changing at a rate that is
> noticeable on a month to month basis

You've had one for the last decade. Note, btw, that pidgins change
at a very rapid rate, so even a Naturalist dialect of Lojban, which
presumably would be more to your taste, would likely change very
rapidly.

> >2. It is natural in language that high frequency words and phrases
> >get shortened. Low frequency words can be short, but high frequency
> >words tend not to be long (even if they look long in writing, they
> >are likely to get shortened in speech). Lojban acknowledges this;
> >it is the rationale for the rafsi system, and for the notion that
> >there should be a rough correlation between a lujvo's length and
> >its frequency. But Lojban has no way to shorten high frequency cmavo
> >or cmavo sequences
>
> That is a statement of fact in the design

Yes; it is one of the design's gravest defects, in that it is primarily
responsible for the conflict between precision and usability.

> >4. I therefore predict that as more people are both jboka'e (caring
> >about usage) and jboskepre (caring about precision), the antizipfeanism
> >and longwindedness of Lojban will be felt more and more acutely. The
> >more competent a Lojbanist is, the more acutely the problem will be
> >felt
>
> Then no doubt we will have to address it if and when it happens. Sounds
> like a good topic for the post-baseline all-LOjban discussion, since the
> competent Lojbanists will be the ones capable of discussing it

I simply think that we should not burn our boats at this stage. We
need to leave flexibility and room for manoeuvre for future generations,
who hopefully with thank us for our foresight rather than curse us for
our lack of it...

> >5. If Lojban is to serve the needs of its speakers (above all, the needs
> >of those who actually use it and know it thoroughly), it must be willing
> >to change in a planned, organized, designed way. **Instead of committing
> >itself to a baseline freeze (i.e. a policy of No Change), the LLG should
> >have the policy of No Change Without Consensus.**
>
> That is (more or less) the policy for the byfy work, bearing in mind that
> there is unlikely to be consensus to "fix" what is not broken. After the
> byfy is complete, then there will be a freeze. If you do not accept the
> necessity for a 5 year freeze, then you should indeed vote "no" on the
> policy, because there is no resolution that would satisfy both you and the
> proponents of a freeze. I can pretty well guarantee that there will be no
> consensus on a policy that does not include a freeze
>
> Opposing a long-term freeze entirely is not merely objecting to a detail,
> but a disagreement with the thrust of the policy as a whole

The status quo already involves a freeze, so voting against the new
policy doesn't really help get rid of the freeze. As it happens,
I think change should be glacial, so that it is not rushed into too
hastily. So a freeze with a potential thaw every 5 years comes pretty
change to "No Change Without Consensus".

--And.